pers1=0.8
sd1=0.01;
N1=9;

[Tran1,s1,probst1,alambda1,asigmay1]=markovappr(pers1,sd1,3,N1)

pers2=0;
sd2=0.03;
N2=3;

[Tran2,s2,probst2,alambda2,asigmay2]=markovappr(pers2,sd2,3,N2)

% Constructing the vector of states, vz
for i=1:N1
    for j=1:N2
        vz((j-1)*N1+1:(j-1)*N1+N1,1)=s1;
        vz((j-1)*N1+1:(j-1)*N1+N1,2)=s2(j);
        vy((j-1)*N1+i)=exp(s1(i)+s2(j));  % this is the vector of incomes
    end
end


% Constructing the transition matrix vector of states, tmatvz

for i=1:N1
    for j=1:N2
        for jp=1:N2
                    
            tmatvz(i+N1*(j-1),N1*(jp-1)+1:(jp-1)*N1+N1)=Tran1(i,1:N1)*Tran2(j,jp);
            
        end
        
    end
end

nvz=N1*N2;  % number of exogenous states
save matrices vz vy tmatvz nvz N1 N2